-- Get a color to show text on top of difficulty frames.
function ContrastingDifficultyColor( dc )
	if dc == DIFFICULTY_BEGINNER	then return color("#E2ABF5") end
	if dc == DIFFICULTY_EASY		then return color("#B2FFB5") end
	if dc == DIFFICULTY_MEDIUM		then return color("#F2F2AA") end
	if dc == DIFFICULTY_HARD		then return color("#EBA4AB") end
	if dc == DIFFICULTY_CHALLENGE	then return color("#AADCF2") end
	if dc == DIFFICULTY_EDIT		then return color("#F7F7F7") end
	return "1,1,1,1"
end

function BackgroundColor( i )
	if i == 0 then return color("#832626") end
	if i == 1 then return color("#885151") end
	if i == 2 then return color("#da7979") end
	return color("#000000")
end

function HighlightColor( i )
	if i == 0 then return color("#fbfe0d30") end
	return color("#000000")	
end

function EndingStreakColor( i )
	if i == 0 then return color("#b41515") end
	return color("#000000")	
end
